"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfigMethod = exports.extend = void 0;
const extend = function (configMethod) {
    return configMethod;
};
exports.extend = extend;
const defaultConfigMethod = (filename) => ({
    component: {
        singleFile: false,
        files: [
            {
                filepath: `${filename}/${filename}.vue`,
                basepath: `src/components`,
                content: `<div><!-- component : ${filename} --></div>`,
                tagname: 'template',
                isTemplateFile: true
            },
            {
                filepath: `${filename}/style.css`,
                basepath: `src/components`,
                content: `.${filename} { /*  your styles ... */ }`,
                tagname: 'style',
                tagAttributes: {
                    type: 'css',
                    scoped: 'true'
                }
            },
            {
                filepath: `${filename}/script.js`,
                basepath: `src/components`,
                content: `export default { /* component: ${filename} */ }`,
                tagname: 'script'
            },
            {
                filepath: `${filename}/test.js`,
                basepath: `src/components`,
                content: `export default { /* component: ${filename} */ }`
            }
        ]
    },
    directive: {
        files: [
            {
                filepath: `${filename}/${filename}.js`,
                basepath: `src/directivies`,
                content: `export default { /* directive: ${filename} */ }`
            },
            {
                filepath: `${filename}/test.js`,
                basepath: `src/directivies`,
                content: `export default { /* directive: ${filename} */ }`
            }
        ]
    },
    mixin: {
        files: [
            {
                filepath: `${filename}/${filename}.js`,
                basepath: `src/mixins`,
                content: `export default { /* mixin: ${filename} */ }`
            },
            {
                filepath: `${filename}/test.js`,
                basepath: `src/mixins`,
                content: `export default { /* mixin: ${filename} */ }`
            }
        ]
    }
});
exports.defaultConfigMethod = defaultConfigMethod;
