"use strict";
const generate_1 = require("./services/generate");
const rename_1 = require("./services/rename");
const delete_1 = require("./services/delete");
const config_1 = require("./services/config");
const generate = new generate_1.Generate();
const rename = new rename_1.Rename();
const deleteFiles = new delete_1.DeleteFiles();
const config = new config_1.Config();
const commands = (api) => {
    api.registerCommand('generate', {
        description: 'Generate files',
        usage: 'vue-cli-service generate <type> <component name or path>'
    }, generate.exec.bind(generate, api));
    api.registerCommand('rename', {
        description: 'Rename files',
        usage: 'vue-cli-service rename <existing component name or path> <component name or path>'
    }, rename.exec.bind(rename, api));
    api.registerCommand('delete', {
        description: 'Delete files',
        usage: 'vue-cli-service delete <type> <component name or path>'
    }, deleteFiles.exec.bind(deleteFiles, api));
    api.registerCommand('config', {
        description: 'Create pod config files',
        usage: 'vue-cli-service config'
    }, config.copy.bind(config, api));
};
module.exports = commands;
