"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = void 0;
const fs_extra_1 = require("fs-extra");
const pod_config_1 = require("../../pod.config");
const common_1 = require("./common");
class Config extends common_1.Common {
    copy(api) {
        const projectPath = api.getCwd();
        const config = pod_config_1.defaultConfigMethod('${filename}');
        Object.keys(config).forEach((key) => {
            const typeConfig = config[key];
            typeConfig.files.forEach((file) => {
                Object.keys(file).forEach((obj) => {
                    const value = file[obj];
                    if (typeof value === 'string') {
                        file[obj] = value.includes('${filename}')
                            ? '`' + value + '`'
                            : `'${value}'`;
                    }
                });
                return file;
            });
        });
        config.component.files[1].tagAttributes = { type: `'css'`, scoped: true };
        const stringifiedConfig = JSON.stringify(config, null, 2).replace(/"/g, '');
        const template = `const vuepodConfig = require('vue-cli-plugin-pod/pod.config.js'); \n\nmodule.exports = vuepodConfig.extend(function(filename) { return ${stringifiedConfig}});`;
        const filePath = `${projectPath}/pod.config.js`;
        fs_extra_1.writeFileSync(filePath, template);
        this.log('success', `created config file: ${filePath}`);
    }
}
exports.Config = Config;
